Acknowledge Fraud Alert
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/alerts/{alert_id}/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>",
"isFalsePositive": true,
"suspendCard": true,
"suspendReason": "<string>",
"suspendExpiresAt": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notes: '<string>',
isFalsePositive: true,
suspendCard: true,
suspendReason: '<string>',
suspendExpiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/alerts/{alert_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/alerts/{alert_id}/acknowledge"
payload = {
"notes": "<string>",
"isFalsePositive": True,
"suspendCard": True,
"suspendReason": "<string>",
"suspendExpiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}fraud
Acknowledge Fraud Alert
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
fraud
/
alerts
/
{alert_id}
/
acknowledge
Acknowledge Fraud Alert
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/alerts/{alert_id}/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>",
"isFalsePositive": true,
"suspendCard": true,
"suspendReason": "<string>",
"suspendExpiresAt": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notes: '<string>',
isFalsePositive: true,
suspendCard: true,
suspendReason: '<string>',
suspendExpiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/alerts/{alert_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/alerts/{alert_id}/acknowledge"
payload = {
"notes": "<string>",
"isFalsePositive": True,
"suspendCard": True,
"suspendReason": "<string>",
"suspendExpiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
